Settings

Global settings, corp user settings, logo, dashboard settings, terms, and device model names.

7 of 7
GET/v1.0/latestTermsAndConditionsChanges dataPermalink ↗

Get latest terms and condition

Parameters

No parameters.

cURL
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/latestTermsAndConditions" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"
GET/v1.0/settingsRead-onlyPermalink ↗

Get settings

Parameters

No parameters.

cURL
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/settings" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"
GET/v1.0/settings/corpUserSettingsRead-onlyPermalink ↗

Get settings

CLIkajeet-sentinel auth whoamiMCPauth.current_account

Parameters

No parameters.

cURL
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/settings/corpUserSettings" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"
Response · 200 OK
{
  "corpId": "NORTHSTAR-ISD",
  "businessType": "enterprise",
  "canSwitchAccounts": true,
  "deviceManagementAccess": true,
  "manageBuckets": true,
  "customHelpEmail": "support@kajeet.com"
}
GET/v1.0/settings/dashboardSettingsRead-onlyPermalink ↗

Get settings

Parameters

No parameters.

cURL
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/settings/dashboardSettings" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"
GET/v1.0/settings/deviceModelNamesRead-onlyPermalink ↗

Get a list of device model names

Parameters

No parameters.

cURL
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/settings/deviceModelNames" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"
GET/v1.0/settings/logo/{corpId}Read-onlyPermalink ↗

Get Logo for client UI

Parameters

corpIdpathstringrequired

Device Group Id to get logo file.

cURL
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/settings/logo/NORTHSTAR-ISD" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"

Build your first call in 5 minutes.

Grab a Dev SIM, get an API key, and POST /v1.0/auth/token from anywhere.